/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
const require_entries = require("../packages/utils/dist/entries.cjs");
const require_index = require("../packages/css-tokens/dist/index.cjs");
const require_fromEntries = require("../packages/utils/dist/fromEntries.cjs");
//#region ../tailwind-internal/dist/utils/getShadowStyles.js
/*! © 2026 Yahoo, Inc. UDS Tailwind Internal v0.0.0-development */
const shadowVariantToCSS = (shadowType, shadowVariant) => {
	return [`.uds-${shadowType}-shadow-${shadowVariant}`, {
		[`--uds-${shadowType}-shadow`]: `var(--uds-${shadowType}-shadow-${shadowVariant})`,
		boxShadow: `var(--${require_index.DROP_SHADOW_PREFIX}, 0 0 transparent), var(--uds-inset-shadow, 0 0 transparent), var(--tw-ring-offset-shadow, 0 0 transparent), var(--tw-ring-shadow, 0 0 transparent), var(--tw-shadow, 0 0 transparent)`
	}];
};
function getShadowStyles({ config, shadowType }) {
	const shadowTypeConfig = config.shadow[shadowType];
	return require_fromEntries.fromEntries(require_entries.entries(shadowTypeConfig).map(([shadowVariant]) => shadowVariantToCSS(shadowType, shadowVariant)));
}
//#endregion
exports.getShadowStyles = getShadowStyles;
exports.shadowVariantToCSS = shadowVariantToCSS;
